StarObjectText Class Referencefinal

the main class to read a StarOffice sdw file More...

`#include <StarObjectText.hxx>`

Inheritance diagram for StarObjectText:

## Public Member Functions

| StarObjectText (StarObject const &orig, bool duplicateState)
| constructor
| ~StarObjectText () final
| destructor
bool | parse ()
bool | updatePageSpans (std::vector< STOFFPageSpan > &pageSpan, int &numPages)
| try to update the page span (to create draw document)
bool | sendPages (STOFFTextListenerPtr &listener)
| try to send the different page
bool | readSWContent (StarZone &zone, std::shared_ptr< StarObjectTextInternal::Content > &content)
| try to read some content : 'N'
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > &oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > &directory)
| constructor
virtual | ~StarObject ()
| destructor
bool | parse ()
| try to parse data
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind
char const * | getPassword () const
| returns the document password (the password given by the user)
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation)
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data
void | cleanPools ()
| clean each pool
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it.
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item

## Static Public Member Functions

static bool | readSWImageMap (StarZone &zone)
| try to read a image map zone : 'X'

## Protected Member Functions

bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a text style zone: SfxStyleSheets
bool | readWriterDocument (STOFFInputStreamPtr input, std::string const &fileName)
| the main zone
bool | readDrawingLayer (STOFFInputStreamPtr input, std::string const &fileName)
| the drawing layers ?
bool | readSWGraphNode (StarZone &zone, std::shared_ptr< StarObjectTextInternal::GraphZone > &graphZone)
| try to read a OLE node : 'g'
bool | readSWJobSetUp (StarZone &zone)
| try to read a SW zone setup : 'J'
bool | readSWOLENode (StarZone &zone, std::shared_ptr< StarObjectTextInternal::OLEZone > &ole)
| try to read a OLE node : 'O'
bool | readSWSection (StarZone &zone, std::shared_ptr< StarObjectTextInternal::SectionZone > &section)
| try to read a section : 'I'
bool | readSWTextZone (StarZone &zone, std::shared_ptr< StarObjectTextInternal::TextZone > &textZone)
| try to read some content : 'T'
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation"
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview"
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows"
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File"
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File"
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor

## Protected Attributes

std::shared_ptr< StarObjectTextInternal::State > | m_textState
| the state
Protected Attributes inherited from StarObject
char const * | m_password
| the document password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory
std::shared_ptr< StarObjectInternal::State > | m_state
| the state
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Private Member Functions

StarObjectText & | operator= (StarObjectText const &orig)=delete

## Detailed Description

the main class to read a StarOffice sdw file

## Constructor & Destructor Documentation

## StarObjectText()

StarObjectText::StarObjectText | ( | StarObject const & | orig,
|  | bool | duplicateState )

constructor

Referenced by operator=().

## ~StarObjectText()

StarObjectText::~StarObjectText | ( |  | ) |

final

destructor

## Member Function Documentation

## operator=()

StarObjectText & StarObjectText::operator= | ( | StarObjectText const & | orig | ) |

private delete

## parse()

bool StarObjectText::parse | ( |  | ) |

Referenced by StarFileManager::checkUnparsed(), and SDXParser::createZones().

## readDrawingLayer()

bool StarObjectText::readDrawingLayer | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName )

protected

the drawing layers ?

Referenced by parse().

## readSfxStyleSheets()

bool StarObjectText::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName )

protected

try to read a text style zone: SfxStyleSheets

Referenced by parse().

## readSWContent()

bool StarObjectText::readSWContent | ( | StarZone & | zone,
|  | std::shared_ptr< StarObjectTextInternal::Content > & | content )

try to read some content : 'N'

Referenced by StarCharAttribute::StarCAttributeContent::read(), StarCharAttribute::StarCAttributeFootnote::read(), readSWSection(), and readWriterDocument().

## readSWGraphNode()

bool StarObjectText::readSWGraphNode | ( | StarZone & | zone,
|  | std::shared_ptr< StarObjectTextInternal::GraphZone > & | graphZone )

protected

try to read a OLE node : 'g'

Referenced by readSWContent().

## readSWImageMap()

bool StarObjectText::readSWImageMap | ( | StarZone & | zone | ) |

static

try to read a image map zone : 'X'

Referenced by StarAttributeManager::readAttribute(), and readSWGraphNode().

## readSWJobSetUp()

bool StarObjectText::readSWJobSetUp | ( | StarZone & | zone | ) |

protected

try to read a SW zone setup : 'J'

Referenced by readWriterDocument().

## readSWOLENode()

bool StarObjectText::readSWOLENode | ( | StarZone & | zone,
|  | std::shared_ptr< StarObjectTextInternal::OLEZone > & | ole )

protected

try to read a OLE node : 'O'

Referenced by readSWContent().

## readSWSection()

bool StarObjectText::readSWSection | ( | StarZone & | zone,
|  | std::shared_ptr< StarObjectTextInternal::SectionZone > & | section )

protected

try to read a section : 'I'

Referenced by readSWContent().

## readSWTextZone()

bool StarObjectText::readSWTextZone | ( | StarZone & | zone,
|  | std::shared_ptr< StarObjectTextInternal::TextZone > & | textZone )

protected

try to read some content : 'T'

Referenced by readSWContent().

## readWriterDocument()

bool StarObjectText::readWriterDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName )

protected

the main zone

Referenced by parse().

## sendPages()

bool StarObjectText::sendPages | ( | STOFFTextListenerPtr & | listener | ) |

try to send the different page

## updatePageSpans()

bool StarObjectText::updatePageSpans | ( | std::vector< STOFFPageSpan > & | pageSpan,
|  | int & | numPages )

try to update the page span (to create draw document)

## Member Data Documentation

## m_textState

std::shared_ptr<StarObjectTextInternal::State> StarObjectText::m_textState

protected

the state

Referenced by parse(), readDrawingLayer(), readWriterDocument(), sendPages(), StarObjectText(), and updatePageSpans().

The documentation for this class was generated from the following files:

- StarObjectText.hxx
- StarObjectText.cxx